Subject: Re: bug#50999: 29.0.50; Deleting libraries obsolete since Emacs 24

From: Po Lu <[email-masked]>
Date: Fri, 12 Nov 2021 14:36:17 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> I don't think that's feasible -- if something breaks, then people will
> be reporting bugs about those things.  Not byte-compiling them would
> just be more work in the long run, because we'd be discovering the
> issues later, and not when somebody does a change that requires the
> other files to change.

How about telling people to not report bugs in those packages?  For
instance, a disclaimer stating "this is obsolete and unsupported -- use
at your own risk".

Perhaps report-emacs-bug could detect that case, and warn the user.

Thanks.